Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Philip Kaludercic <[email-masked]>
Date: Sat, 27 Aug 2022 08:21:36 +0000

Eli Zaretskii <[email-masked]> writes:

>
>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 26 Aug 2022 13:29:22 +0000
>> 
>> >> Only if the MUA can recognise the patch and pipe it into a git am
>> >> process.
>> >
>> > What do you mean by "MUA can recognize" here? which Emacs MUA
>> > recognizes Git-formatted patches and applies them?
>> 
>> The MUA recognizes the patch as a an attachment.  E.g. in Gnus the patch
>> is highlighted and "|" is bound to a command that pipes the contents of
>> the attachment through a command.
>> 
>> > What I do is invoke "M-|" and send the region to "git am".  That
>> > requires myself to recognize the patches, not the MUA I use.
>> 
>> I hadn't considered that, but again, if we are thinking about preparing
>> messages that are sent out to other developers using other MUAs, then I
>> don't know if this kind of functionality is available.
>
> I fail to see how other MUAs used by other developers are relevant
> here.  We are talking about sending patches, not receiving them.
> Sending them as attachments is a known, and frequently required or
> preferred, technique.  How the patches are handled on the receiving
> end is a separate problem, but it already has its solution, because
> people send patches as attachments all over the place.

But there are plenty of projects that will only accept patches
formatted and sent by "git send-email".  If you send them an attachment
with a patch, they might complain and ask you to send it back again
using "git send-email".

Once again, I don't think we disagree on anything substantial here.  You
have already said that it is fine to implement support for both, and
everything beyond that should not matter for the proposal.